<?php


return  
    [
        'model' => [
            'model' => \Crm\Location\Models\Location::class,
            'table' => 'crm_location_locations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'user_type',  'parent_id',  'type',  'name',  'code',  'details'],
            'translatables' => [],
            'upload_folder' => 'location/location',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'location::location.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'location::location.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'location::location.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "code", 
                "type" => "text", 
                "label" => 'location::location.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "details", 
                "type" => "text", 
                "label" => 'location::location.label.details', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'parent_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.parent_id',
                "placeholder" => 'location::location.placeholder.parent_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'location::location.label.type',
                "placeholder" => 'location::location.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('location::location.options.type');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name',
                "placeholder" => 'location::location.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.code',
                "placeholder" => 'location::location.placeholder.code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'details',
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.details',
                "placeholder" => 'location::location.placeholder.details',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'location/location/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'location/location/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'location/location',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'location/location',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'location/location',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'location/location',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'location::location.label.created_at',
            'name' => 'location::location.label.name',
            'status' => 'location::location.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "location::location.groups.main",
                'key' => "main",
                'title' => "location::location.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.details",
                'key' => "documents",
                'title' => "location::location.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.images",
                'key' => "documents",
                'title' => "location::location.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "location::location.groups.settings",
                'key' => "documents",
                'title' => "location::location.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Crm',
            'package' => 'Location',
            'module' => 'Location',
        ],

        
        
    ];
